import vtk

reader = vtk.vtkBMPReader()
reader.SetFileName ("qinp01_3000_036_3_256_mip_th1.bmp")

imgGeometry = vtk.vtkImageDataGeometryFilter()
imgGeometry .SetInput (reader .GetOutput ())

warp = vtk.vtkWarpScalar ()
warp .SetInput (imgGeometry .GetOutput ())
warp .SetScaleFactor (0.7)

wl = vtk.vtkWindowLevelLookupTable ()

mapper = vtk.vtkPolyDataMapper ()
mapper .SetInputConnection (warp .GetOutputPort ())
mapper .SetScalarRange (0,2000)
mapper .ImmediateModeRenderingOff ()
mapper .SetLookupTable (wl)

imageActor = vtk.vtkImageActor ()
imageActor .SetInput (reader .GetOutput ())

warpActor = vtk.vtkActor ()
warpActor .SetMapper (mapper)

ren1 = vtk.vtkRenderer()
ren1 .SetBackground (0.2,0.2,0.4)
ren1 .AddActor (imageActor )
ren1 .SetViewport (0.0, 0.0, 0.5, 1.0)

ren2 = vtk .vtkRenderer()
ren2 .SetBackground( 0.6, 0.7, 0.9)
ren2 .SetViewport (0.5, 0.0, 1.0, 1.0)
ren2 .AddActor (warpActor )

renderWindowInteractor = vtk.vtkRenderWindowInteractor ()
renWin =vtk.vtkRenderWindow ()
renWin .AddRenderer (ren1)
renWin .AddRenderer (ren2)
renWin .SetInteractor (renderWindowInteractor )
renWin .SetSize (900,450)
renWin .Render ()

renderWindowInteractor .Start ()
